.search-control {
    cursor: pointer;
    margin-left: 1rem;
    font-size: 1.6rem;
    line-height: 1.3;
}

.search-block-form,
.search-block-form form {
    display: flex;
    align-items: center;
    justify-content: end;
    flex-grow: 1;
}

.region-header-left .search-block-form form .search-control {
    position: absolute;
    left: 0;
}

.region-header-left .search-block-form form #edit-keys {
    margin-left: 40px;
    z-index: 99;
}

@media screen and (min-width: 1024px) {
    .search-control {
        margin: 0 0 0 10px;
    }
    .region-header-left .search-control {
        margin: 0;
    }

    .search-block-form,
    .search-block-form form {
        height: 40px;
    }
}

@media screen and (max-width: 1024px) {
    .region-header-left .search-block-form {
        position: relative;
    }

    .region-header-left .search-block-form form {
        min-height: 40px;
    }

    .region-header-left:has(.search-block-form) {
        padding: 0;
        height: fit-content;
        display: flex;
        align-items: center;
    }

    .region-header-left .search-block-form form .search-control {
        margin: 0;
        font-size: 1.2rem;
    }
}
